<?php 
/**
 * @package   Switips
 * @author    Outcode https://outcode.ru/
 * @license   http://www.gnu.org/licenses/gpl-2.0.html GNU/GPLv2 only
 */

// no direct access
defined('_JEXEC') or die('Restricted access');
?>
<p>Сумма агентского вознаграждения передается в Switips.<br>
При указании знака %, сумма вознаграждения будет рассчитана, как % от стоимости товара<br>
Пример: <b>10%</b>
</p>
<br>
<form action="index.php?option=com_switips&controller=products" class="sw-products" method="post" enctype="multipart/form-data" name="adminForm" id="adminForm">
  <?php echo JHtml::_('form.token');?>
  
  <div class="categories">
    <select name="category">
      <option value="no" <?php if($this->check_cat == 'no'): ?>selected="selected"<?php endif; ?>>Выберите категорию товара</option>
      
      <?php foreach($this->categories as $category): ?>
      
      <?php 
        $prefix = '';
        
        if((int)$category->category_depth > 0){
          $prefix = str_repeat('- ', (int)$category->category_depth);
        }      
      ?>
      
        <option value="<?=$category->category_id?>" <?php if($this->check_cat == $category->category_id): ?>selected="selected"<?php endif; ?>><?=$prefix?> <?=$category->category_name?></option>
      <?php endforeach; ?> 

    </select>  
  </div>
  
  <?php if(count($this->products) > 0): ?>
    <table>
      <thead>
        <tr>
          <th>Название</th>
          <th>Стоимость</th>
          <th>Агентское вознаграждение</th>
        </tr>       
      </thead> 

      <?php foreach($this->products as $product): ?>
        <tr>
          <td class="name">
            <a 
              title="Откроется в новой вкладке" 
              target="_blank"  
              href="/administrator/index.php?option=com_hikashop&ctrl=product&task=edit&cid[]=<?=$product->product_id ?>"><?=$product->product_name ?></a></td>
          <td class="price"><?=number_format($product->product_price, 2, '.', '')?></td>
          <td><input type="text" name="product[<?=$product->product_id?>]" value="<?=$product->commission?>"></td>
        </tr>  
      <?php endforeach; ?> 
    </table>
  
  <?php else: ?>
    <p>В выбранной категории нет товаров</p>
  <?php endif; ?>

  <input type="hidden" name="task" value="" />
</form>

<script type="text/javascript">
  jQuery('select[name="category"]').change(function() {
    location.href = 'index.php?option=com_switips&controller=products&category='+jQuery(this).val();
  });
</script>