<?php
/**
 * @package   Switips
 * @author    Outcode https://outcode.ru/
 * @license   http://www.gnu.org/licenses/gpl-2.0.html GNU/GPLv2 only
 */

// no direct access
defined('_JEXEC') or die('Restricted access');

// Переводы
require_once(JPATH_COMPONENT_ADMINISTRATOR.'/lang/ru-RU.php');

$app = JFactory::getApplication();
$document = JFactory::getDocument();
//$document->addScript($jshopConfig->live_path.'js/functions.js');
$document->addStyleSheet('/administrator/components/com_switips/css/sw-style.css');

$controller = $app->input->getCmd('controller');

if(!$controller){
  $controller = 'main';
}

if(file_exists(JPATH_COMPONENT.'/controllers/'.$controller.'.php')){
  require_once( JPATH_COMPONENT.'/controllers/'.$controller.'.php' );
}else{
  JError::raiseError( 403, JText::_('Access Forbidden') );
}

$classname = 'SwitipsController'.$controller;
$controller = new $classname();
$controller->execute($app->input->getCmd('task'));
$controller->redirect();




